Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Installing on Debian 7
06-16-2014, 07:21 AM,
#1
Installing on Debian 7
Hi there !

I am trying to make a server on my VPS with Debian 7,
The only problem is that I don't seem to have "GLIBX_2.14". I've looked up on internet and installed the package "libc6" but I still encounter the error, because it looks like the debian repository is 2.13 Sad

Anybody has an idea about how can I make it work?
Thanks in advance Smile
Reply
06-16-2014, 11:08 AM,
#2
RE: Installing on Debian 7
Rebuild the server manually (cd <path_to_acr>/source/src/ && make server_install). I had the same "problem", probably the server was built using the new version (f.e. ubuntu?).
If you fail to build (and trust me Tongue ) I could upload my binary.

The C Programming Language: combines the flexibility of assembly language with the power of assembly language.
Reply
06-17-2014, 07:14 AM,
#3
RE: Installing on Debian 7
Okay so I tried and I got this strange error:
[Image: 1403014427-azet.png]

I never ever succeed to compile a program under linux (Except in Java)... Sad
Reply
06-17-2014, 08:29 AM,
#4
RE: Installing on Debian 7
You have to `chmod u+x ../enet/configure`

Best regards,
Victor
//victorz.ca
Code:
Your antithesis compares favorably with any high magnitude of pwnage. (-you > |p|, you < -|p|)
My antithesis compares favorably with _that of_ any high magnitude of pwnage. (|-me| > |-p|, |me| > |p|)
Reply
06-19-2014, 03:24 PM, (This post was last modified: 06-19-2014, 03:24 PM by ruler501.)
#5
RE: Installing on Debian 7
Victor you don't need the u in the command `chmod +x ../enet/configure` works just fine.

Here are the command I use when I pull a new version and compile the server

Code:
git pull https://github.com/acreloaded/acr.git
cd acr/source/src
chmod +x Makefile ../enet/configure
make server
cd ../../
nohup ./LinuxServer.sh &
Reply
06-19-2014, 04:34 PM, (This post was last modified: 06-19-2014, 04:35 PM by Victor.)
#6
RE: Installing on Debian 7
@ruler501, if you use +x instead of u+x, you'll also set execute permissions for group and world, which is unnecessary if you are the user. I'm not sure about the Travis CI permission environment, so I set +x to be safe.

There are also commands at the Travis CI build script at https://github.com/acreloaded/acr/blob/m...travis.yml

Best regards,
Victor
//victorz.ca
Code:
Your antithesis compares favorably with any high magnitude of pwnage. (-you > |p|, you < -|p|)
My antithesis compares favorably with _that of_ any high magnitude of pwnage. (|-me| > |-p|, |me| > |p|)
Reply
06-24-2014, 02:22 PM, (This post was last modified: 06-24-2014, 02:34 PM by Knux14.)
#7
RE: Installing on Debian 7
Ok thanks for your awnsers, but now, I installed build-essential too and I got this error:

[Image: 1403644937-rfthedr.png]

-- EDIT --
Just seen your link, trying to install others libs
It looks like it works

That is working ! Thats a shame that a so awesome mod don't have many players nor servers Sad
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)